Robot Simulator of the Robotics Group for Self-Organization of Control: HSVImgProc Struct Reference

# HSVImgProc Struct Reference

converts the image to a HSV coded image More...

`#include <imageprocessors.h>`

Inherits lpzrobots::StdImageProcessor.

Collaboration diagram for HSVImgProc:
[legend]

List of all members.

## Public Types
enum | Colors { Red = 0, Yellow = 30, Green = 60, Cyan = 90, Blue = 120, Magenta = 150, Red2 = 180, Gray = 255, Span = 30 }
## Public Member Functions
| HSVImgProc (bool show, float scale)
virtual | ~HSVImgProc ()
virtual void | initDestImage (Camera::CameraImage &dest, const Camera::CameraImage &src)
| overload this function and initialise the dest.img and the dest.name
virtual void | process (const osg::Image *src, osg::Image *dest)
| overload this function and do processing here
void | RGBtoHSV (unsigned char r, unsigned char g, unsigned char b, unsigned char &h, unsigned char &s, unsigned char &v)
| converts RGB to HSV color model; r,g,b values are from 0 to 255; h = [0,180]+255, s = [0,255], v = [0,255]; h is the standard hue value/2 (since 360 cannot be represented) and 255 if undefined (gray)

## Detailed Description

converts the image to a HSV coded image

See also:
  StdImageProcessor. If this image is shown the h,s,v is displayed by r,g,b! The h (hue) values are given by HSVImgProc::Colors

## Member Enumeration Documentation

enum Colors

Enumerator:

  Red |
  Yellow |
  Green |
  Cyan |
  Blue |
  Magenta |
  Red2 |
  Gray |
  Span |

## Constructor & Destructor Documentation

HSVImgProc | ( | bool | show,
|  | float | scale |
| ) |  |  | `[inline]`

virtual ~HSVImgProc | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void initDestImage | ( | Camera::CameraImage & | dest,
|  | const Camera::CameraImage & | src |
| ) |  |  | `[inline, virtual]`

overload this function and initialise the dest.img and the dest.name

Implements StdImageProcessor.

virtual void process | ( | const osg::Image * | src,
|  | osg::Image * | dest |
| ) |  |  | `[inline, virtual]`

overload this function and do processing here

Implements StdImageProcessor.

void RGBtoHSV | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char & | h,
|  | unsigned char & | s,
|  | unsigned char & | v |
| ) |  |  | `[inline]`

converts RGB to HSV color model; r,g,b values are from 0 to 255; h = [0,180]+255, s = [0,255], v = [0,255]; h is the standard hue value/2 (since 360 cannot be represented) and 255 if undefined (gray)

The documentation for this struct was generated from the following file:

- imageprocessors.h